### Function

# Gimp Scanner new_string

#### Declaration [src]

    GimpScanner*
    gimp_scanner_new_string (
      const gchar* text,
      gint text_len,
      GError** error
    )

#### Description

No description available.

Available since: | 2.4

#### Parameters

`text` | An array of `gchar`
| No description available.
| The length of the array is specified in the `text_len` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`text_len` | `gint`
| The length of `text`, or -1 if NULL-terminated.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpScanner`
| The new `GimpScanner`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.